org.eclipse.emf.cdo.common.util

## Class PartialCollectionLoadingNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.emf.cdo.common.util.PartialCollectionLoadingNotSupportedException

- All Implemented Interfaces:
    Serializable

      public class PartialCollectionLoadingNotSupportedException
      extends IllegalStateException

  An unchecked exception that indicates that `list element proxies` have been encountered but cannot be handled.
  Since:
    4.1
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartialCollectionLoadingNotSupportedException()`
    `PartialCollectionLoadingNotSupportedException(String message)`
    `PartialCollectionLoadingNotSupportedException(String message, Throwable cause)`
    `PartialCollectionLoadingNotSupportedException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartialCollectionLoadingNotSupportedException

          public PartialCollectionLoadingNotSupportedException()

    - #### PartialCollectionLoadingNotSupportedException

          public PartialCollectionLoadingNotSupportedException(String message)

    - #### PartialCollectionLoadingNotSupportedException

          public PartialCollectionLoadingNotSupportedException(String message,
                                                               Throwable cause)

    - #### PartialCollectionLoadingNotSupportedException

          public PartialCollectionLoadingNotSupportedException(Throwable cause)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html